Subject: bug#15045: Point jumps inappropriately around time of Semantic lexing

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Aug 2013 10:54:58 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 08 Aug 2013 18:50:42 -0400
> 
> > I think the right solution is to not call input-pending-p etc. during
> > lexer run.
> 
> Not calling accept-process-output might be tricky.
> And not calling input-pending-p can also require very significant
> code changes (I think support for concurrency would help a lot here).

Then perhaps the code which calls them should make sure to move point
to where the user expects it, before it does call those APIs.